Skip to main content
GET
/
v1.0
/
communication
/
text
SMS History
curl --request GET \
  --url https://api.lofty.com/v1.0/communication/text \
  --header 'Authorization: <authorization>'
{
  "texts": [
    {
      "id": 123,
      "leadId": 123,
      "direction": "Outbound",
      "agentId": 123,
      "textOutcome": "Delivered",
      "textTime": "<string>",
      "textType": "Auto"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.lofty.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string
required

Bearer [access_token]

Query Parameters

leadId
integer<int64>
required

ID of the lead whose text history to return.

Required range: x >= 1
offset
integer<int32>
default:0

Zero-based index of the first entry to return.

Required range: x >= 0
limit
integer<int32>
default:10

Number of entries per page.

Required range: 1 <= x <= 1000
currentId
integer<int64>

This parameter is used for page turning. When searching by ID is invoked, the interface would starts from this ID, and retrieve data sequentially. It is recommended to use this parameter as a replacement for offset to turn the page within the limit.

Response

Text message history entries for the lead.

Wrapped response for GET /v1.0/communication/text. Text message history entries are returned under the 'texts' key.

texts
object[]

Text message history entries.